<?php
require_once 'includes/config.php';
require_once 'includes/functions.php';
?>

<!DOCTYPE html>
<html lang="ar" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php echo SITE_NAME; ?> - الصفحة الرئيسية</title>
    <link rel="stylesheet" href="assets/css/style.css">
</head>
<body>
    <header class="header">
        <div class="container">
            <nav class="nav">
                <div class="nav-logo">
                    <img src="assets/images/logo.png" alt="<?php echo SITE_NAME; ?>" width="50">
                    <?php echo SITE_NAME; ?>
                </div>
                <ul class="nav-menu">
                    <li><a href="index.php" class="nav-link">الرئيسية</a></li>
                    <?php if (!isLoggedIn()): ?>
                        <li><a href="login.php" class="nav-link">تسجيل الدخول</a></li>
                        <li><a href="register.php" class="nav-link">التسجيل</a></li>
                    <?php else: ?>
                        <li><a href="dashboard.php" class="nav-link">لوحة التحكم</a></li>
                        <li><a href="appointments.php" class="nav-link">المواعيد</a></li>
                        <li><a href="logout.php" class="nav-link">تسجيل الخروج</a></li>
                    <?php endif; ?>
                </ul>
            </nav>
        </div>
    </header>

    <main class="main">
        <div class="container">
            <section class="hero">
                <h1>مرحباً بكم في <?php echo SITE_NAME; ?></h1>
                <p>نظام إدارة العيادات الطبية المتكامل</p>
            </section>

            <section class="features">
                <h2>خدماتنا</h2>
                <div class="features-grid">
                    <div class="feature-card">
                        <h3>حجز المواعيد</h3>
                        <p>احجز موعدك مع الطبيب المختص بكل سهولة</p>
                    </div>
                    <div class="feature-card">
                        <h3>متابعة الحالة</h3>
                        <p>تابع حالتك الصحية وتقاريرك الطبية</p>
                    </div>
                    <div class="feature-card">
                        <h3>الملف الطبي</h3>
                        <p>احفظ وتابع ملفك الطبي بشكل آمن</p>
                    </div>
                </div>
            </section>
        </div>
    </main>

    <footer class="footer">
        <div class="container">
            <p>&copy; <?php echo date('Y') . ' ' . SITE_NAME; ?></p>
        </div>
    </footer>

    <script src="assets/js/main.js"></script>
</body>
</html>